# Visualization
TKV3d
AIS

# AIS_GraphicTool Class Reference

`#include <AIS_GraphicTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Quantity_NameOfColor | GetLineColor (const Handle(Prs3d_Drawer)&aDrawer, const AIS_TypeOfAttribute TheTypeOfAttributes)
static Standard_EXPORT void | GetLineColor (const Handle(Prs3d_Drawer)&aDrawer, const AIS_TypeOfAttribute TheTypeOfAttributes, Quantity_Color &TheLineColor)
static Standard_EXPORT Standard_Real | GetLineWidth (const Handle(Prs3d_Drawer)&aDrawer, const AIS_TypeOfAttribute TheTypeOfAttributes)
static Standard_EXPORT Aspect_TypeOfLine | GetLineType (const Handle(Prs3d_Drawer)&aDrawer, const AIS_TypeOfAttribute TheTypeOfAttributes)
static Standard_EXPORT void | GetLineAtt (const Handle(Prs3d_Drawer)&aDrawer, const AIS_TypeOfAttribute TheTypeOfAttributes, Quantity_NameOfColor &aCol, Standard_Real &aWidth, Aspect_TypeOfLine &aTyp)
static Standard_EXPORT Quantity_NameOfColor | GetInteriorColor (const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT void | GetInteriorColor (const Handle(Prs3d_Drawer)&aDrawer, Quantity_Color &aColor)
static Standard_EXPORT Graphic3d_MaterialAspect | GetMaterial (const Handle(Prs3d_Drawer)&aDrawer)

## Member Function Documentation

static Standard_EXPORT void AIS_GraphicTool::GetInteriorColor | ( | const Handle(Prs3d_Drawer)& | aDrawer,
|  | Quantity_Color & | aColor
| ) | `[static]`

static Standard_EXPORT Quantity_NameOfColor AIS_GraphicTool::GetInteriorColor | ( | const Handle(Prs3d_Drawer)& | aDrawer | ) | `[static]`

static Standard_EXPORT void AIS_GraphicTool::GetLineAtt | ( | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const AIS_TypeOfAttribute | TheTypeOfAttributes,
|  | Quantity_NameOfColor & | aCol,
|  | Standard_Real & | aWidth,
|  | Aspect_TypeOfLine & | aTyp
| ) | `[static]`

static Standard_EXPORT void AIS_GraphicTool::GetLineColor | ( | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const AIS_TypeOfAttribute | TheTypeOfAttributes,
|  | Quantity_Color & | TheLineColor
| ) | `[static]`

static Standard_EXPORT Quantity_NameOfColor AIS_GraphicTool::GetLineColor | ( | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const AIS_TypeOfAttribute | TheTypeOfAttributes
| ) | `[static]`

static Standard_EXPORT Aspect_TypeOfLine AIS_GraphicTool::GetLineType | ( | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const AIS_TypeOfAttribute | TheTypeOfAttributes
| ) | `[static]`

static Standard_EXPORT Standard_Real AIS_GraphicTool::GetLineWidth | ( | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const AIS_TypeOfAttribute | TheTypeOfAttributes
| ) | `[static]`

static Standard_EXPORT Graphic3d_MaterialAspect AIS_GraphicTool::GetMaterial | ( | const Handle(Prs3d_Drawer)& | aDrawer | ) | `[static]`

void AIS_GraphicTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS_GraphicTool::operator new | ( | size_t | size | ) | `[inline]`

void* AIS_GraphicTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- AIS_GraphicTool.hxx